Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# POAManagerC.cpp File Reference

`#include "tao/AnyTypeCode/Null_RefCount_Policy.h"`
`#include "tao/AnyTypeCode/TypeCode_Constants.h"`
`#include "tao/AnyTypeCode/Alias_TypeCode_Static.h"`
`#include "tao/AnyTypeCode/Enum_TypeCode_Static.h"`
`#include "tao/AnyTypeCode/Objref_TypeCode_Static.h"`
`#include "tao/AnyTypeCode/Struct_TypeCode_Static.h"`
`#include "tao/AnyTypeCode/TypeCode_Struct_Field.h"`
`#include "tao/AnyTypeCode/Any.h"`
`#include "tao/AnyTypeCode/Any_Impl_T.h"`
`#include "tao/AnyTypeCode/Any_Dual_Impl_T.h"`
`#include "tao/AnyTypeCode/Any_Basic_Impl_T.h"`
`#include "POAManagerC.h"`
`#include "tao/CDR.h"`
`#include "ace/OS_NS_string.h"`

Include dependency graph for POAManagerC.cpp:

## Namespaces
namespace | TAO
namespace | PortableServer
## Functions
TAO::TypeCode::Struct< char const *, CORBA::TypeCode_ptr const *, TAO::TypeCode::Struct_Field< char const *, CORBA::TypeCode_ptr const * > const *, TAO::Null_RefCount_Policy > | _tao_tc_PortableServer_POAManager_AdapterInactive (CORBA::tk_except,"IDL:omg.org/PortableServer/POAManager/AdapterInactive:2.3","AdapterInactive", _tao_fields_PortableServer_POAManager_AdapterInactive, 0)
TAO::TypeCode::Enum< char const *, char const *const *, TAO::Null_RefCount_Policy > | _tao_tc_PortableServer_POAManager_State ("IDL:omg.org/PortableServer/POAManager/State:2.3","State", _tao_enumerators_PortableServer_POAManager_State, 4)
TAO::TypeCode::Objref< char const *, TAO::Null_RefCount_Policy > | _tao_tc_PortableServer_POAManager (CORBA::tk_local_interface,"IDL:omg.org/PortableServer/POAManager:2.3","POAManager")
## Variables
TAO::TypeCode::Struct_Field< char const *, CORBA::TypeCode_ptr const * > const *const | _tao_fields_PortableServer_POAManager_AdapterInactive = 0
char const *const | _tao_enumerators_PortableServer_POAManager_State []
::CORBA::TypeCode_ptr const | _tc_POAManager

## Function Documentation

TAO::TypeCode::Objref<char const *, TAO::Null_RefCount_Policy> _tao_tc_PortableServer_POAManager | ( | CORBA::tk_local_interface | ,
|  | "IDL:omg.org/PortableServer/POAManager:2.3" | ,
|  | "POAManager" |
| ) | `[static]`

TAO::TypeCode::Struct<char const *, CORBA::TypeCode_ptr const *, TAO::TypeCode::Struct_Field<char const *, CORBA::TypeCode_ptr const *> const *, TAO::Null_RefCount_Policy> _tao_tc_PortableServer_POAManager_AdapterInactive | ( | CORBA::tk_except | ,
|  | "IDL:omg.org/PortableServer/POAManager/AdapterInactive:2.3" | ,
|  | "AdapterInactive" | ,
|  | _tao_fields_PortableServer_POAManager_AdapterInactive | ,
|  | 0 |
| ) | `[static]`

TAO::TypeCode::Enum<char const *, char const * const *, TAO::Null_RefCount_Policy> _tao_tc_PortableServer_POAManager_State | ( | "IDL:omg.org/PortableServer/POAManager/State:2.3" | ,
|  | "State" | ,
|  | _tao_enumerators_PortableServer_POAManager_State | ,
|  | 4 |
| ) | `[static]`

## Variable Documentation

char const* const _tao_enumerators_PortableServer_POAManager_State[]`[static]`

| Initial value:
      {
        "HOLDING",
        "ACTIVE",
        "DISCARDING",
        "INACTIVE"

      }

TAO::TypeCode::Struct_Field<char const *, CORBA::TypeCode_ptr const *> const* const _tao_fields_PortableServer_POAManager_AdapterInactive = 0`[static]`

TAO_PortableServer_Export::CORBA::TypeCode_ptr const PortableServer::_tc_POAManager

| Initial value:
        &_tao_tc_PortableServer_POAManager